FUNCTION TEMP(3)

NAME
boost::algorithm::regex_finder - "Regex" finder

SYNOPSIS

// In header: <boost/algorithm/string/regex_find_format.hpp>
template<typename CharT, typename RegexTraitsT>
  unspecified regex_finder(const basic_regex< CharT, RegexTraitsT > & Rx,
                           match_flag_type MatchFlags = match_default);

DESCRIPTION

Construct the regex_finder. Finder uses the regex engine to search for a match. Result is given in regex_search_result. This is an extension of the iterator_range. In addition it containes match results from the regex_search algorithm.

Parameters:

    MatchFlags
        Regex search options

    Rx
        A regular expression

Returns:
    An instance of the regex_finder object